using System;
using System.IO;
using Twitchbot.Core;
using Twitchbot.Util;
namespace REPLACE.WITH.PLUGIN.NAME
{
    [ApiVersion(0, 1)]
    public class Plugin : Twitchbot
    {
        public Plugin()
        {
        }
        public override Version Version => new Version(1, 0, 0, 0);
        public override string Name => "REPLACE-WITH-PLUGIN-NAME";
        public override void Initialize() {
            ChatRoom.PingEvent += OnPing;
            ChatRoom.AllReceivedEvent += OnAll;
            ChatRoom.MessageReceivedEvent += OnMessage;
            ChatRoom.UserJoinEvent += OnJoin;
            ChatRoom.UserCommandEvent += OnCommand;
        }
        private void OnPing(object sender, EventArgs e)
        {
            //PingEvent
        }
        private void OnAll(object sender, ChatRoom.AllReceivedArgs e)
        {
            string cmd = e.Message.ToLower();
            //AllReceivedEvent
        }
        private void OnMessage(object sender, ChatRoom.MessageReceivedArgs e)
        {
            string cmd = e.Message.ToLower();
            //MessageReceivedEvent
        }
        private void OnJoin(object sender, ChatRoom.JoinEventArgs e)
        {
            chat.SendMessage("Welcome " e.UserName);
            //UserJoinEvent
        }
        private void OnCommand(object sender, ChatRoom.CommandEventArgs e)
        {
            if (cmd == "rules") {
                chat.SendMessage(e.UserName + "<rules go here>");
            }

            if (cmd == "welcome") {
                chat.SendMessage(e.UserName + "Please read the rules in !rules");
            }

            if (cmd == "commands") {
                chat.SendMessage("!welcome !rules");
            }

            string cmd = e.Message.Substring(1).ToLower();
            //UserCommandEvent
        }
        public override void Dispose() {
            ChatRoom.PingEvent -= OnPing;
            ChatRoom.AllReceivedEvent -= OnAll;
            ChatRoom.MessageReceivedEvent -= OnMessage;
            ChatRoom.UserJoinEvent -= OnJoin;
            ChatRoom.UserCommandEvent -= OnCommand;
        }
    }
}
